%global commit 54ee1ae5928423a0e44ba1861112a746181fbc35
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           js-jquery-migrate
Version:        1.2.1
Release:        4%{?dist}
Summary:        APIs and features removed from jQuery core
BuildArch:      noarch

License:        MIT
URL:            https://github.com/jquery/jquery-migrate/
Source0:        https://github.com/jquery/jquery-migrate/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  web-assets-devel
BuildRequires:  nodejs-packaging

Provides:       %{name}-static = %{version}-%{release}

BuildRequires:  nodejs-grunt >= 0.4.4-3
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-concat)
BuildRequires:  npm(grunt-contrib-uglify)

Requires:       web-assets-filesystem
Requires:       js-jquery1 coreutils sed
Requires(post): js-jquery1 coreutils sed

%description
This plugin can be used to detect and restore APIs or features that have been
deprecated in jQuery and removed as of version 1.9.

The plugin can be included with versions of jQuery as old as 1.6.4 to identify
potential upgrade issues via its JQMIGRATE console warnings. However, the plugin
is only required for version 1.9.0 or higher to restore deprecated and removed
functionality.

Additionally, this package automatically maintains a copy of jQuery and
jQuery Migrate combined into a single file to permit an easier transition to
newer versions of jQuery.


%prep
%setup -qn jquery-migrate-%{commit}

#remove precompiled stuff
rm -rf dist/*

#fix DOS EOL chars
sed -i 's/\r$//' README.md


%build
%nodejs_symlink_deps --build
grunt -v concat uglify


# missing dependencies
#%%check
#grunt


%install
%global inslibdir %{buildroot}%{_jsdir}/jquery-migrate

mkdir -p %{inslibdir}
cp -p dist/* %{inslibdir}

#touch ghosted jquery+migrate combined files generated in post and on jquery update
touch %{inslibdir}/jquery+migrate.js
touch %{inslibdir}/jquery+migrate.min.js


%post
cat %{_jsdir}/jquery/1/jquery.js > %{_jsdir}/jquery-migrate/jquery+migrate.js
echo >> %{_jsdir}/jquery-migrate/jquery+migrate.js
cat %{_jsdir}/jquery-migrate/jquery-migrate.js >> %{_jsdir}/jquery-migrate/jquery+migrate.js

sed '$ d' %{_jsdir}/jquery/1/jquery.min.js > %{_jsdir}/jquery-migrate/jquery+migrate.min.js
cat %{_jsdir}/jquery-migrate/jquery-migrate.min.js >> %{_jsdir}/jquery-migrate/jquery+migrate.min.js


%triggerin -- js-jquery1
cat %{_jsdir}/jquery/1/jquery.js > %{_jsdir}/jquery-migrate/jquery+migrate.js
echo >> %{_jsdir}/jquery-migrate/jquery+migrate.js
cat %{_jsdir}/jquery-migrate/jquery-migrate.js >> %{_jsdir}/jquery-migrate/jquery+migrate.js

sed '$ d' %{_jsdir}/jquery/1/jquery.min.js > %{_jsdir}/jquery-migrate/jquery+migrate.min.js
cat %{_jsdir}/jquery-migrate/jquery-migrate.min.js >> %{_jsdir}/jquery-migrate/jquery+migrate.min.js


%files
%dir %{_jsdir}/jquery-migrate
%{_jsdir}/jquery-migrate/jquery-migrate.js
%{_jsdir}/jquery-migrate/jquery-migrate.min.js
%ghost %{_jsdir}/jquery-migrate/jquery+migrate.js
%ghost %{_jsdir}/jquery-migrate/jquery+migrate.min.js
%doc AUTHORS.txt CONTRIBUTING.md LICENSE-MIT README.md


%changelog
* Mon Dec 29 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.1-4
- correct duplicate in files list
- use correct end-of-line encoding in README.md file

* Tue Oct 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.1-3
- typo and whitespace fixes

* Tue Jun 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.1-2
- follow the github SourceURL guidelines

* Fri May 30 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.1
- initial package
